Page MenuHomePhabricator

Strange behaviour with SVG figure
Closed, DeclinedPublic

Description

Author: mwtoews

Description:
Hi,
I made a figure for Wikipedia as a PDF in R, and converted it to a SVG v1.1 file
using Illustrator CS2 (more details on the page). The odd behaviour I'm
reporting is:

The SVG appears fine when viewed using Illustrator or the Adobe plug-in, or

even with Firefox 2's native SVG rendering; however the PNG render is 100%
transparent; see [[w:en:Image:Acf.svg]].

When viewed in an article, the SVG renders (nearly) perfectly; see

[[w:en:Autocorrelation]].

The only detail not rendered is the 'o' symbols along the plot. This can be

viewed with both Firefox 2 or the Adobe SVG plug-in; but not through the article
where it renders. I've tried twice to fix this, and several older versions of my
attempts can be viewed in the image history. This detail is not as important as
the first two.
Thanks!
+mt


Version: unspecified
Severity: normal
OS: Windows XP
Platform: PC

Details

Reference
bz7914

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:29 PM
bzimport set Reference to bz7914.
bzimport created this task.Nov 14 2006, 6:36 AM

mwtoews wrote:

Sorry, those links didn't link right (it would be helpful to see in the help how
the markup here works! -- or even a preview would be nice).

Here is a second attempt to link:

  • [[Image:Acf.svg]]
  • [[Autocorrelation]]
brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

TheDJ added a comment.Nov 4 2010, 2:07 AM

I have looked at the old versions of this file, and when rendering them now, they seem just fine.

Gilles moved this task from Untriaged to Done on the Multimedia board.